commit c8a2ff15b881310d653d754e60566cf7993d282f
parent 8fcf1656d3eccf22f4876e1b64e67673c80a28d2
Author: ThomasV <thomasv@electrum.org>
Date: Sun, 12 Nov 2017 20:27:27 +0100
install patched pyinstaller from my own repo
Diffstat:
2 files changed, 30 insertions(+), 7 deletions(-)
diff --git a/contrib/build-wine/prepare-pyinstaller.sh b/contrib/build-wine/prepare-pyinstaller.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+PYTHON_VERSION=3.5.4
+
+PYINSTALLER_GIT_URL=https://github.com/ecdsa/pyinstaller.git
+BRANCH=fix_2952
+
+export WINEPREFIX=/opt/wine64
+PYHOME=c:/python$PYTHON_VERSION
+PYTHON="wine $PYHOME/python.exe -OO -B"
+
+cd `dirname $0`
+set -e
+cd tmp
+if [ ! -d "pyinstaller" ]; then
+ git clone -b $BRANCH $PYINSTALLER_GIT_URL pyinstaller
+fi
+
+cd pyinstaller
+git pull
+git checkout $BRANCH
+$PYTHON setup.py install
+cd ..
+
+wine "C:/python$PYTHON_VERSION/scripts/pyinstaller.exe" -v
diff --git a/contrib/build-wine/prepare-wine.sh b/contrib/build-wine/prepare-wine.sh
@@ -76,8 +76,9 @@ $PYTHON -m pip install pypiwin32
# Install PyQt
$PYTHON -m pip install PyQt5
-# Install pyinstaller
-$PYTHON -m pip install pyinstaller==3.3
+## Install pyinstaller
+#$PYTHON -m pip install pyinstaller==3.3
+
# Install ZBar
#wget -q -O zbar.exe "https://sourceforge.net/projects/zbar/files/zbar/0.10/zbar-0.10-setup.exe/download"
@@ -92,11 +93,6 @@ $PYTHON -m pip install win_inet_pton
# install websocket (python2)
$PYTHON -m pip install websocket-client
-
-# Install setuptools
-#wget -O setuptools.exe "$SETUPTOOLS_URL"
-#wine setuptools.exe
-
# Upgrade setuptools (so Electrum can be installed later)
$PYTHON -m pip install setuptools --upgrade
@@ -112,3 +108,6 @@ wine nsis.exe /S
# add dlls needed for pyinstaller:
cp $WINEPREFIX/drive_c/python$PYTHON_VERSION/Lib/site-packages/PyQt5/Qt/bin/* $WINEPREFIX/drive_c/python$PYTHON_VERSION/
+
+
+echo "Wine is configured. Please run prepare-pyinstaller.sh"